---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libMethodExitTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: _test_method_count, symObjAddr: 0x32BA8, symBinAddr: 0xC0E8, symSize: 0x0 }
  - { offsetInCU: 0x9B, offset: 0x9B, size: 0x8, addend: 0x0, symName: _test_class, symObjAddr: 0x32BB0, symBinAddr: 0xC0F0, symSize: 0x0 }
  - { offsetInCU: 0xDA, offset: 0xDA, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x32B40, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x8CF2, offset: 0x8CF2, size: 0x8, addend: 0x0, symName: __ZL18brkptBreakpointHit, symObjAddr: 0x32B74, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0x8CFF, offset: 0x8CFF, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x3940, symBinAddr: 0x5510, symSize: 0x180 }
  - { offsetInCU: 0x8D36, offset: 0x8D36, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x32B78, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0x8F23, offset: 0x8F23, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x32B88, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0x8F3C, offset: 0x8F3C, size: 0x8, addend: 0x0, symName: __ZL21GetVirtualThread_func, symObjAddr: 0x32B98, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x8F55, offset: 0x8F55, size: 0x8, addend: 0x0, symName: __ZL8tls_data, symObjAddr: 0x32B90, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x8F6E, offset: 0x8F6E, size: 0x8, addend: 0x0, symName: __ZL26received_method_exit_event, symObjAddr: 0x32BA0, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8F8E, offset: 0x8F8E, size: 0x8, addend: 0x0, symName: __ZL18method_entry_count, symObjAddr: 0x32BA4, symBinAddr: 0xC0E4, symSize: 0x0 }
  - { offsetInCU: 0x8FA7, offset: 0x8FA7, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x32B48, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x8FC0, offset: 0x8FC0, size: 0x8, addend: 0x0, symName: __ZL12test_methods, symObjAddr: 0x32B50, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8FD9, offset: 0x8FD9, size: 0x8, addend: 0x0, symName: __ZL4done, symObjAddr: 0x32B58, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x9000, offset: 0x9000, size: 0x8, addend: 0x0, symName: __ZL21vthread_mounted_count, symObjAddr: 0x32B5C, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0x9019, offset: 0x9019, size: 0x8, addend: 0x0, symName: __ZL23vthread_unmounted_count, symObjAddr: 0x32B60, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x9032, offset: 0x9032, size: 0x8, addend: 0x0, symName: __ZL16breakpoint_count, symObjAddr: 0x32B64, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x904B, offset: 0x904B, size: 0x8, addend: 0x0, symName: __ZL17method_exit_count, symObjAddr: 0x32B68, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x9064, offset: 0x9064, size: 0x8, addend: 0x0, symName: __ZL15frame_pop_count, symObjAddr: 0x32B6C, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0x907D, offset: 0x907D, size: 0x8, addend: 0x0, symName: __ZL6passed, symObjAddr: 0x32B70, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x9116, offset: 0x9116, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2A30, symSize: 0x30 }
  - { offsetInCU: 0x956E, offset: 0x956E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x2A60, symSize: 0x2D0 }
  - { offsetInCU: 0x9A02, offset: 0x9A02, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x40D0, symBinAddr: 0x5CA0, symSize: 0xB0 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1160, symBinAddr: 0x2D30, symSize: 0xE90 }
  - { offsetInCU: 0xBBB4, offset: 0xBBB4, size: 0x8, addend: 0x0, symName: __ZL22print_frame_event_infoP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPKci, symObjAddr: 0x36D0, symBinAddr: 0x52A0, symSize: 0x200 }
  - { offsetInCU: 0xC076, offset: 0xC076, size: 0x8, addend: 0x0, symName: __ZL17find_ext_functionP9_jvmtiEnvP7JNIEnv_PKc, symObjAddr: 0x4000, symBinAddr: 0x5BD0, symSize: 0xD0 }
  - { offsetInCU: 0xC1ED, offset: 0xC1ED, size: 0x8, addend: 0x0, symName: __ZL23set_or_clear_breakpointP7JNIEnv_hPKcP7_jclassPP10_jmethodIDi, symObjAddr: 0x4180, symBinAddr: 0x5D50, symSize: 0x210 }
  - { offsetInCU: 0xC547, offset: 0xC547, size: 0x8, addend: 0x0, symName: __ZL21get_method_class_nameP9_jvmtiEnvP7JNIEnv_P10_jmethodID, symObjAddr: 0x3AC0, symBinAddr: 0x5690, symSize: 0x1D0 }
  - { offsetInCU: 0xC8DB, offset: 0xC8DB, size: 0x8, addend: 0x0, symName: __ZL17print_stack_traceP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x3C90, symBinAddr: 0x5860, symSize: 0x370 }
  - { offsetInCU: 0xCF62, offset: 0xCF62, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x38D0, symBinAddr: 0x54A0, symSize: 0x70 }
  - { offsetInCU: 0xD03B, offset: 0xD03B, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0x1FF0, symBinAddr: 0x3BC0, symSize: 0x220 }
  - { offsetInCU: 0xD4C9, offset: 0xD4C9, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x2210, symBinAddr: 0x3DE0, symSize: 0x200 }
  - { offsetInCU: 0xD949, offset: 0xD949, size: 0x8, addend: 0x0, symName: __ZL10MethodExitP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh6jvalue, symObjAddr: 0x2410, symBinAddr: 0x3FE0, symSize: 0x290 }
  - { offsetInCU: 0xDF0F, offset: 0xDF0F, size: 0x8, addend: 0x0, symName: __ZL11ThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x26A0, symBinAddr: 0x4270, symSize: 0x2A0 }
  - { offsetInCU: 0xE40C, offset: 0xE40C, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2940, symBinAddr: 0x4510, symSize: 0x200 }
  - { offsetInCU: 0xE89C, offset: 0xE89C, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadMountP9_jvmtiEnvz, symObjAddr: 0x2B40, symBinAddr: 0x4710, symSize: 0x550 }
  - { offsetInCU: 0xF0DB, offset: 0xF0DB, size: 0x8, addend: 0x0, symName: __ZL20VirtualThreadUnmountP9_jvmtiEnvz, symObjAddr: 0x3090, symBinAddr: 0x4C60, symSize: 0x3C0 }
  - { offsetInCU: 0xF770, offset: 0xF770, size: 0x8, addend: 0x0, symName: _Java_MethodExitTest_enableEvents, symObjAddr: 0x3450, symBinAddr: 0x5020, symSize: 0x130 }
  - { offsetInCU: 0xFA23, offset: 0xFA23, size: 0x8, addend: 0x0, symName: _Java_MethodExitTest_check, symObjAddr: 0x3580, symBinAddr: 0x5150, symSize: 0x150 }
...
